%global npm_name eventemitter3

Summary:       EventEmitter3 is a high performance EventEmitter
Name:          nodejs-%{npm_name}
Version:       1.1.1
Release:       2%{?dist}
License:       MIT
URL:           https://github.com/primus/eventemitter3
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
EventEmitter3 focuses on performance while maintaining a Node.js AND browser compatible 
interface.

EventEmitter3 is a high performance EventEmitter. It has been micro-optimized for
various of code paths making this, one of, if not the fastest EventEmitter available
for Node.js and browsers. The module is API compatible with the EventEmitter that
ships by default with Node.js but there are some slight differences:

 * Domain support has been removed.
 * We do not throw an error when you emit an error event and nobody is listening.
 * The newListener event is removed as the use-cases for this functionality are
     really just edge cases.
 * No setMaxListeners and it's pointless memory leak warnings. If you want to add
     end listeners you should be able to do that without modules complaining.
 * No listenerCount function. Use EE.listeners(event).length instead.
 * Support for custom context for events so there is no need to use fn.bind.
 * listeners method can do existence checking instead of returning only arrays.

It's a drop in replacement for existing EventEmitters, but just faster. Free performance,
who wouldn't want that? The EventEmitter is written in EcmaScript 3 so it will work in 
the oldest browsers and node versions that you need to support.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com>
- spec change: npmname -> npm_name

* Wed Sep 09 2015 Troy Dawson <tdawson@redhat.com> - 1.1.1-1
- Initial package
